Uninstall agent app
curl --request DELETE \
--url 'https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token='import requests
url = "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token="
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"message": "Unauthorized"
}{
"success": false,
"message": "App not found"
}{
"success": false,
"message": "Failed to uninstall the app",
"error": "Error details"
}Apps
Uninstall agent app
Uninstalls an app from the selected account. Remove or disable any matching app assignment in staging before publishing.
DELETE
/
api
/
v2
/
apps
/
{appId}
/
{appVersion}
Uninstall agent app
Authorizations
Vida API Token
Path Parameters
ID of the application
Version of the application (defaults to v1)
Query Parameters
Account whose app should be uninstalled.
Response
Successfully uninstalled the app
Example:
true
⌘I